<form *ngIf= "!createAccountclicked" [formGroup] = "signUpForm" style="border:1px solid #ccc">
    <div class="container">
      <h1>Sign Up</h1>
      <p>Please fill in this form to create an account.</p>
      <hr>
      <label for="username"><b>Username</b></label>
      <input (change)="usernameTaken()"
        formControlName = "username"
        class = "form-control" 
        name="username"
        type="text" 
        placeholder="Enter Username" 
        required>
      <div class = "alert alert-danger" *ngIf = "usernameCheck">Username is already taken.</div>
      <div class = "alert alert-danger" *ngIf = "username.invalid && username.touched">Username not in a valid format</div>
    
      <label for="email"><b>Email</b></label>
      <input formControlName = "email" class = "form-control" type="text" placeholder="Enter Email" name="email" required>
      <div class="alert alert-danger" *ngIf = "email.invalid && email.touched">Email not in a valid format</div>
      
      <label for="psw"><b>Password</b></label>
      <input formControlName = "password" class = "form-control" type="password" placeholder="Enter Password" name="psw" aria-describedby="passwordHelpBlock" required>
      <small id="passwordHelpBlock" class="form-text text-muted">
        Your password must be 8-20 characters long, contain letters and numbers, and must not contain spaces, special characters, or emoji.
      </small>
      <div class = "alert alert-danger" *ngIf="password.invalid && password.touched">Password not in a valid format</div>
      <label id="repeat" for="psw-repeat"><b>Repeat Password</b></label>
      <input formControlName = "repeatPassword" class = "form-control" type="password" placeholder="Repeat Password" name="psw-repeat" required>
      <div class = "alert alert-danger" *ngIf="repeatPassword.invalid && repeatPassword.touched">Password not in a valid format</div>
      <div class = "alert alert-danger" *ngIf="!equalPasswords() && repeatPassword.touched">Passwords do not match!</div>
      <label>
        <input type="checkbox" name="remember" style="margin-bottom:15px"> Remember me
      </label>
  
      <p>By creating an account you agree to our <a href="#" style="color:dodgerblue">Terms & Privacy</a>.</p>
  
      <div class="clearfix">
        <button (click) = "onCreateAccount()" [disabled]="signUpForm.invalid" type="submit" class="signupbtn" >Create account</button>
      </div>
      <a [routerLink] = "['/signin']" style="color:dodgerblue">Already a member? Sign in </a>

    </div>
  </form>

  <app-create-profile [parentForm]="signUpForm" *ngIf="createAccountclicked" ></app-create-profile>